
Infrastructure - Story #1964

node registry needs to store Node.Service.ServiceMethodRestriction elements

2011-11-01 17:09 - Ben Leinfelder

Status: Closed Start date: 2011-11-02

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version: Sprint-2011.46-Block.6   

Story Points:    

Description

Subtasks:

Task # 1988: Update LDAP Schema with new restriction structure Closed

Task # 1989: Add mappings from LDAP to Node structure in registry Closed

Task # 1990: Create simple script to modify access restrictions Rejected

Related issues:

Blocks Infrastructure - Story #1676: Rules for restricting service methods Closed 2011-07-13

Blocks Infrastructure - Task #1678: lookup restrictions from the CN nodeList ... Closed 2011-07-13

Blocks Infrastructure - Task #1616: Implement mechanism for legacy accounts t... Closed 2011-11-01

History

#1 - 2011-11-01 17:09 - Ben Leinfelder

- Position set to 26

- Position deleted (1)

#2 - 2011-11-01 17:11 - Ben Leinfelder

- Category set to d1_cn_node_registry

- Assignee set to Robert Waltz

- Priority changed from Normal to High

#3 - 2011-11-02 18:33 - Robert Waltz

- Start date set to 2011-11-02

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

- Tracker changed from Bug to Story

#4 - 2011-11-07 18:05 - Dave Vieglais

- Position changed from 1 to 306

- Target version changed from Sprint-2011.44-Block.6 to Sprint-2011.45-Block.6

- Position deleted (26)

- Position set to 1

#5 - 2011-11-15 04:09 - Dave Vieglais

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.46-Block.6

- Position deleted (305)

- Position set to 10

#6 - 2011-11-15 17:54 - Robert Waltz

- Status changed from New to Closed
